/*
 *  $Id$
 */
 
/**
 *  @file event.h
 *
 *  @project btChat (http://www.mulliner.org/bluetooth/btchat/)
 *
 *  @author Collin R. Mulliner <collin(AT)betaversion.net>
 *
 *  (c) Collin R. Mulliner
 *
 */

#ifndef __EVENT_H__
#define __EVENT_H__

#endif

int event_loop(struct btchatd_t *globals);
int event_put(struct btchat_event_queue_t *q, struct btchat_event_t *e);
int event_get(struct btchat_event_queue_t *q, struct btchat_event_t **e);
int event_available(struct btchat_event_queue_t *q);
int event_queue_reset(struct btchat_event_queue_t *q);
int event_free(struct btchat_event_t **e);

/*
 *  $Log$
 */
